Follow

Which devices are compatible with beacons?

Essentially, the minimum requirement for hardware to be compatible with beacons is Bluetooth BLE 4.0 technology. 

As far as software requirements are concerned, for iOS devices iOS 8.0 or higher is required and for Android devices Android 4.3 (Jelly Bean) or higher is essential. Finally, all Windows10 devices with a Bluetooth chip support beacon functionality.  

Please find below a list of Android devices that has been tested and proved by us to be working with iBeacon technology: 

Device Model number OS Version
LG G3 LG-D855 Android 5.0
Motorola Moto G (1st generation) Moto G Android 5.0.2
Motorola Moto X (2nd generation) Moto X Android 5.1
Nexus 4 by LG** Nexus 4  Android 4.3, 4.4.4 & 5.0.1  
Nexus 5 by LG  Nexus 5  Android 5.1.1 & 6.0 
Nexus 6 by Motorola  Nexus 6 Android 5.1.1 
Nexus 7 by Asus  Nexus 7  Android 5.1.1 
Nexus 9 by HTC Nexus 9  Android 5.1.1 & 6.0 
OnePlus One  A0001  Android 5.1.1 
Samsung Galaxy Note 5 SM-N9005 (Neo) Android 5.0 
Samsung Galaxy S3 GT-I9301I  Android 4.4.2 
Samsung Galaxy S4 GT-19505 Android 5.0.1
Samsung Galaxy S4 mini GT-19195 Android 4.4.2
Samsung Galaxy S5 SM-G900F Android 5.0
Samsung Galaxy S5 mini  SM-G800F  Android 4.4.2
Samsung Galaxy Young 2 SM-G130HN Android 4.4.2
Sony Xperia Z3 D6503 Android 5.1.1
HTC One M7 Android 5.0.2
HTC One M8 Android 5.0.2

**Nexus 4 is known to have Problems with simulateous Wifi and BTLE use (https://code.google.com/p/android/issues/detail?id=41631).

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Back to top

Comments